CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Security Vulnerabilities (CVSS score between 5 and 5.99)

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
1 CVE-2021-44037 640 2021-11-19 2021-11-22
5.0
None Remote Low Not required None Partial None
Team Password Manager (aka TeamPasswordManager) before 10.135.236 allows password-reset poisoning.
2 CVE-2021-43979 755 Bypass 2021-11-17 2021-11-22
5.0
None Remote Low Not required None Partial None
** DISPUTED ** Styra Open Policy Agent (OPA) Gatekeeper through 3.7.0 mishandles concurrency, sometimes resulting in incorrect access control. The data replication mechanism allows policies to access the Kubernetes cluster state. During data replication, OPA/Gatekeeper does not wait for the replication to finish before processing a request, which might cause inconsistencies between the replicated resources in OPA/Gatekeeper and the resources actually present in the cluster. Inconsistency can later be reflected in a policy bypass. NOTE: the vendor disagrees that this is a vulnerability, because Kubernetes states are only eventually consistent.
3 CVE-2021-43669 444 2021-11-18 2021-11-23
5.0
None Remote Low Not required None None Partial
A vulnerability has been detected in HyperLedger Fabric v1.4.0, v2.0.0, v2.0.1, v2.3.0. It can easily break down as many orderers as the attacker wants. This bug can be leveraged by constructing a message whose header is invalid to the interface Order. This bug has been admitted and fixed by the developers of Fabric.
4 CVE-2021-43667 476 2021-11-18 2021-11-23
5.0
None Remote Low Not required None None Partial
A vulnerability has been detected in HyperLedger Fabric v1.4.0, v2.0.0, v2.1.0. This bug can be leveraged by constructing a message whose payload is nil and sending this message with the method 'forwardToLeader'. This bug has been admitted and fixed by the developers of Fabric. If leveraged, any leader node will crash.
5 CVE-2021-43620 2021-11-15 2021-11-18
5.0
None Remote Low Not required None Partial None
An issue was discovered in the fruity crate through 0.2.0 for Rust. Security-relevant validation of filename extensions is plausibly affected. Methods of NSString for conversion to a string may return a partial result. Because they call CStr::from_ptr on a pointer to the string buffer, the string is terminated at the first '\0' byte, which might not be the end of the string.
6 CVE-2021-43618 190 Overflow 2021-11-15 2021-11-18
5.0
None Remote Low Not required None None Partial
GNU Multiple Precision Arithmetic Library (GMP) through 6.2.1 has an mpz/inp_raw.c integer overflow and resultant buffer overflow via crafted input, leading to a segmentation fault on 32-bit platforms.
7 CVE-2021-43611 404 2021-11-12 2021-11-16
5.0
None Remote Low Not required None None Partial
Belledonne Belle-sip before 5.0.20 can crash applications such as Linphone via " \ " in the display name of a From header.
8 CVE-2021-43610 444 2021-11-12 2021-11-16
5.0
None Remote Low Not required None None Partial
Belledonne Belle-sip before 5.0.20 can crash applications such as Linphone via an invalid From header (request URI without a parameter) in an unauthenticated SIP message, a different issue than CVE-2021-33056.
9 CVE-2021-43578 693 2021-11-12 2021-11-17
5.5
None Remote Low ??? None Partial Partial
Jenkins Squash TM Publisher (Squash4Jenkins) Plugin 1.0.0 and earlier implements an agent-to-controller message that does not implement any validation of its input, allowing attackers able to control agent processes to replace arbitrary files on the Jenkins controller file system with an attacker-controlled JSON string.
10 CVE-2021-43577 611 2021-11-12 2021-11-17
5.5
None Remote Low ??? Partial Partial None
Jenkins OWASP Dependency-Check Plugin 5.1.1 and earlier does not configure its XML parser to prevent XML external entity (XXE) attacks.
11 CVE-2021-43564 200 +Info 2021-11-10 2021-11-16
5.0
None Remote Low Not required Partial None None
An issue was discovered in the jobfair (aka Job Fair) extension before 1.0.13 and 2.x before 2.0.2 for TYPO3. The extension fails to protect or obfuscate filenames of uploaded files. This allows unauthenticated users to download files with sensitive data by simply guessing the filename of uploaded files (e.g., uploads/tx_jobfair/cv.pdf).
12 CVE-2021-43560 668 2021-11-22 2021-11-26
5.0
None Remote Low Not required Partial None None
A flaw was found in Moodle in versions 3.11 to 3.11.3, 3.10 to 3.10.7, 3.9 to 3.9.10 and earlier unsupported versions. Insufficient capability checks made it possible to fetch other users' calendar action events.
13 CVE-2021-43557 77 Bypass 2021-11-22 2021-11-26
5.0
None Remote Low Not required Partial None None
The uri-block plugin in Apache APISIX before 2.10.2 uses $request_uri without verification. The $request_uri is the full original request URI without normalization. This makes it possible to construct a URI to bypass the block list on some occasions. For instance, when the block list contains "^/internal/", a URI like `//internal/` can be used to bypass it. Some other plugins also have the same issue. And it may affect the developer's custom plugin.
14 CVE-2021-43496 22 Dir. Trav. 2021-11-12 2021-11-16
5.0
None Remote Low Not required Partial None None
Clustering master branch as of commit 53e663e259bcfc8cdecb56c0bb255bd70bfcaa70 is affected by a directory traversal vulnerability. This attack can cause the disclosure of critical secrets stored anywhere on the system and can significantly aid in getting remote code access.
15 CVE-2021-43495 22 Dir. Trav. 2021-11-15 2021-11-18
5.0
None Remote Low Not required Partial None None
AlquistManager branch as of commit 280d99f43b11378212652e75f6f3159cde9c1d36 is affected by a directory traversal vulnerability in alquist/IO/input.py. This attack can cause the disclosure of critical secrets stored anywhere on the system and can significantly aid in getting remote code access.
16 CVE-2021-43494 22 Dir. Trav. 2021-11-12 2021-11-16
5.0
None Remote Low Not required Partial None None
OpenCV-REST-API master branch as of commit 69be158c05d4dd5a4aff38fdc680a162dd6b9e49 is affected by a directory traversal vulnerability. This attack can cause the disclosure of critical secrets stored anywhere on the system and can significantly aid in getting remote code access.
17 CVE-2021-43493 22 Exec Code Dir. Trav. 2021-11-12 2021-11-16
5.0
None Remote Low Not required Partial None None
ServerManagement master branch as of commit 49491cc6f94980e6be7791d17be947c27071eb56 is affected by a directory traversal vulnerability. This vulnerability can be used to extract credentials which can in turn be used to execute code.
18 CVE-2021-43492 22 Dir. Trav. 2021-11-12 2021-11-16
5.0
None Remote Low Not required Partial None None
AlquistManager branch as of commit 280d99f43b11378212652e75f6f3159cde9c1d36 is affected by a directory traversal vulnerability. This attack can cause the disclosure of critical secrets stored anywhere on the system andcan significantly aid in getting remote code access.
19 CVE-2021-43398 203 +Info 2021-11-04 2021-11-08
5.0
None Remote Low Not required Partial None None
Crypto++ (aka Cryptopp) 8.6.0 and earlier contains a timing leakage in MakePublicKey(). There is a clear correlation between execution time and private key length, which may cause disclosure of the length information of the private key. This might allow attackers to conduct timing attacks.
20 CVE-2021-43396 2021-11-04 2021-11-17
5.0
None Remote Low Not required None Partial None
** DISPUTED ** In iconvdata/iso-2022-jp-3.c in the GNU C Library (aka glibc) 2.34, remote attackers can force iconv() to emit a spurious '\0' character via crafted ISO-2022-JP-3 data that is accompanied by an internal state reset. This may affect data integrity in certain iconv() use cases. NOTE: the vendor states "the bug cannot be invoked through user input and requires iconv to be invoked with a NULL inbuf, which ought to require a separate application bug to do so unintentionally. Hence there's no security impact to the bug."
21 CVE-2021-43270 2021-11-02 2021-11-04
5.0
None Remote Low Not required Partial None None
Datalust Seq.App.EmailPlus (aka seq-app-htmlemail) 3.1.0-dev-00148, 3.1.0-dev-00170, and 3.1.0-dev-00176 can use cleartext SMTP on port 25 in some cases where encryption on port 465 was intended.
22 CVE-2021-43268 415 2021-11-24 2021-11-27
5.0
None Remote Low Not required None None Partial
An issue was discovered in VxWorks 6.9 through 7. In the IKE component, a specifically crafted packet may lead to reading beyond the end of a buffer, or a double free.
23 CVE-2021-43203 287 2021-11-09 2021-11-10
5.0
None Remote Low Not required None Partial None
In JetBrains Ktor before 1.6.4, nonce verification during the OAuth2 authentication process is implemented improperly.
24 CVE-2021-43201 2021-11-09 2021-11-09
5.0
None Remote Low Not required None Partial None
In JetBrains TeamCity before 2021.1.3, a newly created project could take settings from an already deleted project.
25 CVE-2021-43199 276 2021-11-09 2021-11-09
5.0
None Remote Low Not required None Partial None
In JetBrains TeamCity before 2021.1.2, permission checks in the Create Patch functionality are insufficient.
26 CVE-2021-43196 668 2021-11-09 2021-11-09
5.0
None Remote Low Not required Partial None None
In JetBrains TeamCity before 2021.1, information disclosure via the Docker Registry connection dialog is possible.
27 CVE-2021-43195 2021-11-09 2021-11-09
5.0
None Remote Low Not required None Partial None
In JetBrains TeamCity before 2021.1.2, some HTTP security headers were missing.
28 CVE-2021-43194 2021-11-09 2021-11-10
5.0
None Remote Low Not required Partial None None
In JetBrains TeamCity before 2021.1.2, user enumeration was possible.
29 CVE-2021-43192 2021-11-09 2021-11-10
5.0
None Remote Low Not required None Partial None
In JetBrains YouTrack Mobile before 2021.2, iOS URL scheme hijacking is possible.
30 CVE-2021-43191 2021-11-09 2021-11-10
5.0
None Remote Low Not required None Partial None
JetBrains YouTrack Mobile before 2021.2, is missing the security screen on Android and iOS.
31 CVE-2021-43190 2021-11-09 2021-11-10
5.0
None Remote Low Not required None Partial None
In JetBrains YouTrack Mobile before 2021.2, task hijacking on Android is possible.
32 CVE-2021-43187 2021-11-09 2021-11-12
5.0
None Remote Low Not required Partial None None
In JetBrains YouTrack Mobile before 2021.2, the client-side cache on iOS could contain sensitive information.
33 CVE-2021-43182 2021-11-09 2021-11-10
5.0
None Remote Low Not required None None Partial
In JetBrains Hub before 2021.1.13415, a DoS via user information is possible.
34 CVE-2021-43180 2021-11-09 2021-11-10
5.0
None Remote Low Not required Partial None None
In JetBrains Hub before 2021.1.13690, information disclosure via avatar metadata is possible.
35 CVE-2021-43174 787 2021-11-09 2021-11-17
5.0
None Remote Low Not required None None Partial
NLnet Labs Routinator versions 0.9.0 up to and including 0.10.1, support the gzip transfer encoding when querying RRDP repositories. This encoding can be used by an RRDP repository to cause an out-of-memory crash in these versions of Routinator. RRDP uses XML which allows arbitrary amounts of white space in the encoded data. The gzip scheme compresses such white space extremely well, leading to very small compressed files that become huge when being decompressed for further processing, big enough that Routinator runs out of memory when parsing input data waiting for the next XML element.
36 CVE-2021-43173 755 2021-11-09 2021-11-12
5.0
None Remote Low Not required None Partial None
In NLnet Labs Routinator prior to 0.10.2, a validation run can be delayed significantly by an RRDP repository by not answering but slowly drip-feeding bytes to keep the connection alive. This can be used to effectively stall validation. While Routinator has a configurable time-out value for RRDP connections, this time-out was only applied to individual read or write operations rather than the complete request. Thus, if an RRDP repository sends a little bit of data before that time-out expired, it can continuously extend the time it takes for the request to finish. Since validation will only continue once the update of an RRDP repository has concluded, this delay will cause validation to stall, leading to Routinator continuing to serve the old data set or, if in the initial validation run directly after starting, never serve any data at all.
37 CVE-2021-43172 674 2021-11-09 2021-11-12
5.0
None Remote Low Not required None None Partial
NLnet Labs Routinator prior to 0.10.2 happily processes a chain of RRDP repositories of infinite length causing it to never finish a validation run. In RPKI, a CA can choose the RRDP repository it wishes to publish its data in. By continuously generating a new child CA that only consists of another CA using a different RRDP repository, a malicious CA can create a chain of CAs of de-facto infinite length. Routinator prior to version 0.10.2 did not contain a limit on the length of such a chain and will therefore continue to process this chain forever. As a result, the validation run will never finish, leading to Routinator continuing to serve the old data set or, if in the initial validation run directly after starting, never serve any data at all.
38 CVE-2021-43114 400 2021-11-09 2021-11-15
5.0
None Remote Low Not required None None Partial
FORT Validator versions prior to 1.5.2 will crash if an RPKI CA publishes an X.509 EE certificate. This will lead to RTR clients such as BGP routers to lose access to the RPKI VRP data set, effectively disabling Route Origin Validation.
39 CVE-2021-43058 601 2021-11-01 2021-11-02
5.8
None Remote Medium Not required Partial Partial None
An open redirect vulnerability exists in Replicated Classic versions prior to 2.53.1 that could lead to spoofing. To exploit this vulnerability, an attacker could send a link that has a specially crafted URL and convince the user to click the link, redirecting the user to an untrusted site.
40 CVE-2021-42836 697 DoS 2021-10-22 2021-10-28
5.0
None Remote Low Not required None None Partial
GJSON before 1.9.3 allows a ReDoS (regular expression denial of service) attack.
41 CVE-2021-42773 200 +Info 2021-11-12 2021-11-15
5.0
None Remote Low Not required Partial None None
Broadcom Emulex HBA Manager/One Command Manager versions before 11.4.425.0 and 12.8.542.31, if not installed in Strictly Local Management mode, could allow a user to retrieve an arbitrary file from a remote host with the GetDumpFile command. In non-secure mode, the user is unauthenticated.
42 CVE-2021-42765 DoS 2021-10-20 2021-10-26
5.0
None Remote Low Not required None None Partial
The Proof-of-Stake (PoS) Ethereum consensus protocol through 2021-10-19 allows an adversary to leverage network delay to cause a denial of service (indefinite stalling of consensus decisions).
43 CVE-2021-42763 312 2021-11-02 2021-11-08
5.0
None Remote Low Not required Partial None None
Couchbase Server before 6.6.3 and 7.x before 7.0.2 stores Sensitive Information in Cleartext. The issue occurs when the cluster manager forwards a HTTP request from the pluggable UI (query workbench etc) to the specific service. In the backtrace, the Basic Auth Header included in the HTTP request, has the "@" user credentials of the node processing the UI request.
44 CVE-2021-42725 863 Bypass 2021-11-16 2021-11-17
5.0
None Remote Low Not required Partial None None
Adobe Experience Manager version 6.5.9.0 (and earlier) are affected by an improper access control vulnerability that leads to a security feature bypass. By manipulating referer headers, an unauthenticated attacker could gain access to arbitrary pages that they are not authorized to access.
45 CVE-2021-42697 787 DoS 2021-11-02 2021-11-04
5.0
None Remote Low Not required None None Partial
Akka HTTP 10.1.x and 10.2.x before 10.2.7 can encounter stack exhaustion while parsing HTTP headers, which allows a remote attacker to conduct a Denial of Service attack by sending a User-Agent header with deeply nested comments.
46 CVE-2021-42694 94 2021-11-01 2021-11-26
5.1
None Remote High Not required Partial Partial Partial
An issue was discovered in the character definitions of the Unicode Specification through 14.0. The specification allows an adversary to produce source code identifiers such as function names using homoglyphs that render visually identical to a target identifier. Adversaries can leverage this to inject code via adversarial identifier definitions in upstream software dependencies invoked deceptively in downstream software.
47 CVE-2021-42671 863 Bypass 2021-11-05 2021-11-26
5.0
None Remote Low Not required Partial None None
An incorrect access control vulnerability exists in Sourcecodester Engineers Online Portal in PHP in nia_munoz_monitoring_system/admin/uploads. An attacker can leverage this vulnerability in order to bypass access controls and access all the files uploaded to the web server without the need of authentication or authorization.
48 CVE-2021-42574 94 2021-11-01 2021-11-26
5.1
None Remote High Not required Partial Partial Partial
An issue was discovered in the Bidirectional Algorithm in the Unicode Specification through 14.0. It permits the visual reordering of characters via control sequences, which can be used to craft source code that renders different logic than the logical ordering of tokens ingested by compilers and interpreters. Adversaries can leverage this to encode source code for compilers accepting Unicode such that targeted vulnerabilities are introduced invisibly to human reviewers.
49 CVE-2021-42557 522 Bypass 2021-11-01 2021-11-08
5.0
None Remote Low Not required Partial None None
In Jeedom through 4.1.19, a bug allows a remote attacker to bypass API access and retrieve users credentials.
50 CVE-2021-42341 Mem. Corr. 2021-10-14 2021-10-20
5.0
None Remote Low Not required None None Partial
checkpath in OpenRC before 0.44.7 uses the direct output of strlen() to allocate strings, which does not account for the '\0' byte at the end of the string. This results in memory corruption. CVE-2021-42341 was introduced in git commit 63db2d99e730547339d1bdd28e8437999c380cae, which was introduced as part of OpenRC 0.44.0 development.
Total number of vulnerabilities : 31212   Page : 1 (This Page)2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.